
import java.util.*;
import javax.mail.*;
import javax.mail.internet.*;

public class SendMultipartMail {

    public static void main(String args[]) throws Exception {

        String host = "192.168.10.205";
        String from = "test@localhost";
        String to = "komal@localhost";

        Properties properties = System.getProperties();
        properties.setProperty("mail.smtp.host", host);

        Session session = Session.getDefaultInstance(properties);

        Message msg = new MimeMessage(session);

        msg.setFrom(new InternetAddress(from));
        msg.addRecipient(Message.RecipientType.TO, new InternetAddress(to));
        msg.setSubject("MultiPart Mail");

        Multipart multipart = new MimeMultipart();

        BodyPart part1 = new MimeBodyPart();
        part1.setText("This is multipart mail and u read part1......");

        BodyPart part2 = new MimeBodyPart();
        part2.setText("This is multipart mail and u read part2......");

        multipart.addBodyPart(part1);
        multipart.addBodyPart(part2);

        msg.setContent(multipart);

        Transport.send(msg);
        System.out.println("Message send....");
    }
}

